<html version="2.0">
<head>
<title>Cache View</title>
</head>
<body>
<center>
<h1>Frame Cache View</h1>
</center>
<br><br>
<a name="cacheview">
<h2>Cache View</h2><p>
This page allows LDAS users to obtain a graphical view of the frame times
in diskcacheAPI.
<ol>
	<li>Select one or more <b>Frame Types</b> e.g. R (Raw frames), T (second-trend), M (minute-trend) 
    RDS frames etc. or enter your own. </li><p>
    <li>Select one or more <b>Sites</b>, e.g. H (Hanford frames), G (Geo frames) etc. </li><p>
    For description of sites and types see document <b>LIGO Technical Note LIGO-T010150-00-E</b>.<p>
	<li>Specify the time ranges: one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
</ol>
<p>
Response: <p>
A graph window shows the presence of frame files as green lines; you can zoom in to
view some small gaps if they are present. <p>

Response: <p>
<img src='cmonClient-cacheView.gif' width="800" height="600"><p><p>

A popup will appear to report on selected types and sites are not found in the cache.<p>

There is also a report on the frame gaps if any by hitting the <b>Gaps</b> button
on the graph.

<img src='cmonClient-cachegaps.gif' width="1000" height="350"><p><p>

<p>
<p>
<h1>diskcache Mount Point Directories</h1>
</center>
<br><br>
<a name="mountpoints">
<h2>Directories</h2><p>
This page allows LDAS users to view diskcacheAPI mount point subdirectories
in the form of a directory tree.
<ol>
    <li>A list of mount points are displayed on the left for selection.</li>
    <li>Double click on mount point to select it. The mount point will be 
    displayed in the entry under the <b>List Directories</b> button.</li>
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
</ol>
<p>
Response: <p>
A graph window on the right shows the subdirectories as a tree format.<p>

Response: <p>
<img src='cmonClient-mountPoints.gif' width="800" height="600"><p><p>
<p>
Extra messages from the diskcacheAPI are displayed in the status window
on the right. You can toggle <b>Flatten Directory Tree</b> 
to see the path of each directory.
No file information is displayed at this time.<p>

</body>
</html>
